package com.jeeplus.modules.filing.summary.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.google.common.collect.Lists;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;
import com.jeeplus.modules.filing.earlyEngineering.entity.EarlyEngineering;

import java.util.Date;
import java.util.List;
import java.util.Objects;

public class Summary extends DataEntity<Summary> {
    /**
     * 项目编码
     * */
    private String projectCode;

    /**
     * 单体编码
     * */
    private String monomerCode;

    /**
     * 项目名称
     * */
    private String entryName;

    /**
     * 工程属性/重点程度
     * */
    private String emphasis;


    /**
     * 建设年度1
     * */
    private String constructionYear;

    /**
     * 建设年度1投资
     * */
    private String annualInvestment;

    /**
     * 建设年度2
     * */
    private String constructionYearTwo;

    /**
     * 建设年度2投资
     * */
    private String annualInvestmentTwo;

    /**
     * 建设年度3
     * */
    private String constructionYearThree;

    /**
     * 建设年度3投资
     * */
    private String annualInvestmentThree;

    /**
     * 建设年度4
     * */
    private String constructionYearFour;

    /**
     * 建设年度4投资
     * */
    private String annualInvestmentFour;

    /***********************项目前期阶段****************************/

    /**
     * 核准文号
     * */
    private String approvalNumber;
    /**
     * 核准日期
     * */
    private Date dateOfApproval;
    /**
     * 核准金额
     * */
    private String approvedAmount;

    /**
     * 核准附件
     */
    private String approvedAnnex;
    /**
     * 可研批复文号
     * */
    private String earlyReplyNo;
    /**
     * 可研批复日期
     * */
    private Date approvalDate;
    /**
     * 可研静态态投资金额
     * */
    private String staticInvestment;
    /**
     * 可研动态投资金额
     * */
    private String dynamicInvestment;

    /**
     * 可研附件
     */
    private String studyAppendix;

    /**
     * 父级id
     */
    private String parentId;

    /**
     * 建设规模（变电容量）万伏安
     * */
    private String constructionScaleVA;
    /**
     * 建设规模（线路长度）千米
     * */
    private String constructionScaleKM;
    /**
     * 铁塔数量/钢管杆数量
     * */
    private String numberOf;
    /**
     * 导线型号及双回否型号
     * */
    private String conductorType;
    /**
     * 导线型号及双回否长度
     * */
    private String conductorLength;
    /**
     * 变压器来源新购/利旧，主变来源的变电站
     * */
    private String theSource;
    /**
     * 模块化建设方案
     * */
    private String modularConstructionScheme;
    /**
     * 工程难点描述
     * */
    private String descriptionOf;
    /**
     * 里程碑开工日期
     * */
    private Date milestoneStartDate;
    /**
     * 里程碑投产日期
     * */
    private Date milestoneCommissioningDate;
    /**
     * 内控开工日期
     * */
    private Date startDate;
    /**
     * 内控投产日期
     * */
    private Date internalControl;
    /**
     * 主设备最早到货时间
     * */
    private Date earliestArrival;
    /**
     * 线路塔材到货计划
     * */
    private Date arrivalPlan;

    /**************************************工程前期阶段*****************************************************/
    /**
     * 初设批复文号
     * */
    private String preDesignNo;

    /**
     * 初设批复日期
     * */
    private Date initialDesignDate;

    /**
     * 初设附件
     * */
    private String preDesignAnnex;

    /**
     * 批概动态
     * */
    private String batchOverview;

    /**
     * 批概静态
     * */
    private String batchStatistics;

    /**
     * 批概场地清理费/相应的WBS编码
     * */
    private String estimateCode;

    /**
     * 设计费批概相应的/相应的WBS编码WBS编码
     * */
    private String designCost;

    /**
     * 监理费批概/相应的WBS编码
     * */
    private String supervisionFeeCode;

    /**
     * 批概法人管理费/相应的WBS编码
     * */
    private String managementFeeCode;

    /**
     * 其他概算中需要的数据/相应的WBS编码
     * */
    private String dataCode;

    /**
     * 可研初设一体化设计中标通知书
     * */
    private String letterDesign;

    /**
     * 勘察设计合同
     * */
    private String disigningContract;

    /**
     * 业主项目部成立文件
     * */
    private String ownerDapartment;

    /**
     * 三个项目部关键人员信息
     * */
    private String threeDepartment;

    /**
     * 监理合同
     * */
    private String inspectionControl;

    /**
     * 施工中标通知书
     * */
    private String letterAcceptance;

    /**
     * 施工合同
     * */
    private String conContract;

    /**
     * 其他合同
     * */
    private String otherContracts;

    /**
     * 用地预审意见（变电站） 文号：
     * */
    private String landNo;
    /**
     * 用地预审意见（变电站） 日期：
     * */
    private Date landDate;
    /**
     * 用地预审意见（变电站） 附件：
     * */
    private String landAnnex;
    /**
     * 环评批复（变电站、线路） 文号：
     * */
    private String eiaNo;
    /**
     * 环评批复（变电站、线路） 日期：
     * */
    private Date eiaDate;
    /**
     * 环评批复（变电站、线路） 附件：
     * */
    private String eiaAnnex;
    /**
     * 环评验收文号及日期 文号：
     * */
    private String acceptanceNo;
    /**
     * 环评验收文号及日期 日期：
     * */
    private Date acceptanceDate;
    /**
     * 环评验收文号及日期 附件：
     * */
    private String acceptanceAnnex;
    /**
     * 水保批复（变电站、线路） 文号：
     * */
    private String replyNo;
    /**
     * 水保批复（变电站、线路） 日期：
     * */
    private Date replyDate;
    /**
     * 水保批复（变电站、线路） 附件：
     * */
    private String replyAnnex;
    /**
     * 水保验收文号及日期 文号：
     * */
    private String soilNo;
    /**
     * 水保验收文号及日期 日期：
     * */
    private Date soilDate;
    /**
     * 水保验收文号及日期 附件：
     * */
    private String soilannex;
    /**
     * 压覆矿藏复函（变电站） 文号：
     * */
    private String depositNo;
    /**
     * 压覆矿藏复函（变电站） 日期：
     * */
    private Date depositDate;
    /**
     * 压覆矿藏复函（变电站） 附件：
     * */
    private String depositAnnex;
    /**
     * 地灾评估备案表（变电站） 文号：
     * */
    private String recordNo;
    /**
     * 地灾评估备案表（变电站） 日期：
     * */
    private Date recordDate;
    /**
     * 地灾评估备案表（变电站） 附件：
     * */
    private String recordAnnex;
    /**
     * 选址意见书（变电站） 文号：
     * */
    private String siteProposalNo;
    /**
     * 选址意见书（变电站） 日期：
     * */
    private Date siteProposalDate;
    /**
     * 选址意见书（变电站） 附件：
     * */
    private String siteProposalAnnex;
    /**
     * 线路路径规划意见 文号：
     * */
    private String planningNo;
    /**
     * 线路路径规划意见 日期：
     * */
    private Date planningDate;
    /**
     * 线路路径规划意见 附件：
     * */
    private String planningAnnex;
    /**
     * 用地规划许可证 文号：
     * */
    private String usePlanNo;
    /**
     * 用地规划许可证 日期：
     * */
    private Date usePlanDate;
    /**
     * 用地规划许可证 附件：
     * */
    private String usePlanAnnex;
    /**
     * 征地补偿批复 文号：
     * */
    private String requisitonNo;
    /**
     * 征地补偿批复 日期：
     * */
    private Date requisitonDate;
    /**
     * 征地补偿批复 附件：
     * */
    private String requisitonAnnex;
    /**
     * 建设用地批准书 文号：
     * */
    private String conLandNo;
    /**
     * 建设用地批准书 日期：
     * */
    private Date conLandDate;
    /**
     * 建设用地批准书 附件：
     * */
    private String conLandAnnex;
    /**
     * 划拨决定书 文号：
     * */
    private String transferNo;
    /**
     * 划拨决定书 日期：
     * */
    private Date transferDate;
    /**
     * 划拨决定书 附件：
     * */
    private String transferAnnex;
    /**
     * 土地证（变电站） 文号：
     * */
    private String certificateNo;
    /**
     * 土地证（变电站） 日期：
     * */
    private Date certificateDate;
    /**
     * 土地证（变电站） 附件：
     * */
    private String certificateAnnex;
    /**
     * 建设工程规划许可证（变电站） 文号：
     * */
    private String permitNo;
    /**
     * 建设工程规划许可证（变电站） 日期：
     * */
    private Date permitDate;
    /**
     * 建设工程规划许可证（变电站） 附件：
     * */
    private String permitAnnex;
    /**
     * 消防设计审查/备案意见（变电站） 文号：
     * */
    private String fireProNo;
    /**
     * 消防设计审查/备案意见（变电站） 日期：
     * */
    private Date fireProdate;
    /**
     * 消防设计审查/备案意见（变电站） 附件：
     * */
    private String fireProAnnex;
    /**
     * 消防验收/备案意见（变电站） 文号：
     * */
    private String fireAccNo;
    /**
     * 消防验收/备案意见（变电站） 日期：
     * */
    private Date fireAccDate;
    /**
     * 消防验收/备案意见（变电站） 附件：
     * */
    private String fireAccAnnex;
    /**
     * 不动产权证 文号：
     * */
    private String estateNo;
    /**
     * 不动产权证 日期：
     * */
    private Date estateDate;
    /**
     * 不动产权证 附件：
     * */
    private String estateAnnex;

    /**
     * 规划总平（变电站）
     * */
    private String planningLevel;
    /**
     * 勘察定界报告（变电站）
     * */
    private String surveyReport;
    /**
     * 征地红线图（变电站）
     * */
    private String redLineMap;
    /**
     * 用地红线图（变电站）
     * */
    private String redLineLand;
    /**
     * 宗地图
     * */
    private String zongMap;
    /**
     * 勘察合同备案表（变电站）
     * */
    private String recordSurvey;
    /**
     * 设计合同备案表（变电站）
     * */
    private String recordDesign;
    /**
     * 施工合同备案表（变电站）
     * */
    private String recordContract;
    /**
     * 监理合同备案表（变电站）
     * */
    private String supervisionRecord;
    /**
     * 岩土勘察报告审查合格意见（变电站）
     * */
    private String qulifiedOpinions;
    /**
     * 施工图审查合格意见（变电站）
     * */
    private String constructionComments;
    /**
     * 施工图审查合格证（变电站）
     * */
    private String constructionDrawing;
    /**
     * 抗震设防审查证书（变电站）
     * */
    private String seismicReview;
    /**
     * 规划放线报告（变电站）
     * */
    private String planningSetting;
    /**
     * 安监申报书、备案表（变电站）
     * */
    private String safetyRecord;
    /**
     * 质监申报书、备案表（变电站）
     * */
    private String qualityRecord;
    /**
     * 施工许可证
     * */
    private String constructionPermit;
    /**
     * 规划竣工测绘现状图及管线、绿化、比较图（变电站）
     * */
    private String planBuiltMapping;
    /**
     * 质监竣工验收意见（变电站）
     * */
    private String qualityAcceptance;
    /**
     * 城建档案接收合格证明（变电站）
     * */
    private String urbanArchives;
    /**
     * 竣工备案表（变电站）
     * */
    private String completionRecord;
    /**
     * 房产测绘报告
     * */
    private String realEstate;
    /**
     * 宗地复测报告
     * */
    private String reportOnLang;

    /*************************************工程建设阶段****************************************************/
    /**
     * 开工日期
     * */
    private Date commDate;
    /**
     * 开工报告
     * */
    private String commReport;
    /**
     * 竣工日期
     * */
    private Date compDate;
    /**
     * 竣工报告
     * */
    private String compLetion;
    /**
     * 投运日期
     * */
    private Date cossDate;
    /**
     * 投运报告
     * */
    private String cossReport;
    /**
     * 环评验收日期
     * */
    private Date conAcceptanceDate;
    /**
     * 水保验收日期
     * */
    private Date soilWaterDate;

    /**
     * 例会报告
     * */
    private String enclosure;
    /**
     * 土建
     * */
    private String scheduleCivil;
    /**
     * 电气
     * */
    private String scheduleElectrical;
    /**
     * 调试
     * */
    private String scheduleDebugging;
    /**
     * 验收
     * */
    private String scheduleCheck;
    /**
     * 累计定性描述
     * */
    private String scheduleCumulative;
    /**
     * 启委会文
     * */
    private String openingCommittee;
    /**
     * 调度命名编号
     * */
    private String dispatchingNaming;
    /**
     * 安全质量量化考核成果
     * */
    private String resultsSafety;
    /**
     * 工程荣誉
     * */
    private String engineeringHonors;
    /**
     * 工程结算审核报告
     * */
    private String settAuditReport;
    /**
     * 工程决算审计报告
     * */
    private String accAuditReport;
    /**
     * 增资产生的卡片信息
     * */
    private String cardInformation;

    /**
     * 达标投产文
     * */
    private String standardProduction;
    /**
     * 五方质量终身责任承诺书
     * */
    private String fiveParty;

    /**
     * 分包单位名称
     * */
    private String nameOfSubcontractor;
    /**
     * 项目地点
     * */
    private String projectLocation;
    /**
     * 四级风险内容
     * */
    private String levelRiskContent;
    /**
     * 四级风险实施时间
     * */
    private Date levelRiskTime;
    /**
     * “标准化开工”时间
     * */
    private Date standStartTime;
    /**
     * “标准化转序”时间
     * */
    private Date standTransferTime;
    /**
     * “标准化预验收”时间
     * */
    private Date standAcceptanceTime;
    /**
     * 约谈日期
     * */
    private Date dateOfInterview;
    /**
     * 约谈会议纪要
     * */
    private String mettingMinutes;
    /**
     * 累计扣款金额
     * */
    private String accumulatedAmount;
    /**
     * 扣款单
     * */
    private String deductionForm;
    /**
     * 工程遗留相关事项
     * */
    private String mattersLeft;
    /**
     * 退料及报废手续
     * */
    private String returnAndScrap;
    /**
     * 重要的附件等扫描件
     * */
    private String importantAccessories;

    /**
     * 子类数据集合
     * */
    private List<Summary> childList = Lists.newArrayList();

    @ExcelField(title="项目编码", align=2, sort=1)
    public String getProjectCode() {
        return projectCode;
    }

    public void setProjectCode(String projectCode) {
        this.projectCode = projectCode;
    }

    @ExcelField(title="单体编码", align=2, sort=2)
    public String getMonomerCode() {
        return monomerCode;
    }

    public void setMonomerCode(String monomerCode) {
        this.monomerCode = monomerCode;
    }

    @ExcelField(title="项目名称", align=2, sort=3)
    public String getEntryName() {
        return entryName;
    }

    public void setEntryName(String entryName) {
        this.entryName = entryName;
    }

    @ExcelField(title="工程属性/重点程度", align=2, sort=12)
    public String getEmphasis() {
        return emphasis;
    }

    public void setEmphasis(String emphasis) {
        this.emphasis = emphasis;
    }

    @ExcelField(title="建设年度1", align=2, sort=4)
    public String getConstructionYear() {
        return constructionYear;
    }

    public void setConstructionYear(String constructionYear) {
        this.constructionYear = constructionYear;
    }

    @ExcelField(title="建设年度1投资", align=2, sort=5)
    public String getAnnualInvestment() {
        return annualInvestment;
    }

    public void setAnnualInvestment(String annualInvestment) {
        this.annualInvestment = annualInvestment;
    }

    @ExcelField(title="建设年度2", align=2, sort=6)
    public String getConstructionYearTwo() {
        return constructionYearTwo;
    }

    public void setConstructionYearTwo(String constructionYearTwo) {
        this.constructionYearTwo = constructionYearTwo;
    }

    @ExcelField(title="建设年度2投资", align=2, sort=7)
    public String getAnnualInvestmentTwo() {
        return annualInvestmentTwo;
    }

    public void setAnnualInvestmentTwo(String annualInvestmentTwo) {
        this.annualInvestmentTwo = annualInvestmentTwo;
    }

    @ExcelField(title="建设年度3", align=2, sort=8)
    public String getConstructionYearThree() {
        return constructionYearThree;
    }

    public void setConstructionYearThree(String constructionYearThree) {
        this.constructionYearThree = constructionYearThree;
    }

    @ExcelField(title="建设年度3投资", align=2, sort=9)
    public String getAnnualInvestmentThree() {
        return annualInvestmentThree;
    }

    public void setAnnualInvestmentThree(String annualInvestmentThree) {
        this.annualInvestmentThree = annualInvestmentThree;
    }

    @ExcelField(title="建设年度4", align=2, sort=10)
    public String getConstructionYearFour() {
        return constructionYearFour;
    }

    public void setConstructionYearFour(String constructionYearFour) {
        this.constructionYearFour = constructionYearFour;
    }

    @ExcelField(title="建设年度4投资", align=2, sort=11)
    public String getAnnualInvestmentFour() {
        return annualInvestmentFour;
    }

    public void setAnnualInvestmentFour(String annualInvestmentFour) {
        this.annualInvestmentFour = annualInvestmentFour;
    }

    /************************************项目前期阶段********************************************/

    @ExcelField(title="核准文号", align=2, sort=13)
    public String getApprovalNumber() {
        return approvalNumber;
    }

    public void setApprovalNumber(String approvalNumber) {
        this.approvalNumber = approvalNumber;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="核准日期", align=2, sort=14)
    public Date getDateOfApproval() {
        return dateOfApproval;
    }

    public void setDateOfApproval(Date dateOfApproval) {
        this.dateOfApproval = dateOfApproval;
    }

    @ExcelField(title="核准金额", align=2, sort=15)
    public String getApprovedAmount() {
        return approvedAmount;
    }

    public void setApprovedAmount(String approvedAmount) {
        this.approvedAmount = approvedAmount;
    }

    public String getApprovedAnnex() {
        return approvedAnnex;
    }

    public void setApprovedAnnex(String approvedAnnex) {
        this.approvedAnnex = approvedAnnex;
    }

    @ExcelField(title="可研批复文号", align=2, sort=16)
    public String getEarlyReplyNo() {
        return earlyReplyNo;
    }

    public void setEarlyReplyNo(String earlyReplyNo) {
        this.earlyReplyNo = earlyReplyNo;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="可研批复日期", align=2, sort=17)
    public Date getApprovalDate() {
        return approvalDate;
    }

    public void setApprovalDate(Date approvalDate) {
        this.approvalDate = approvalDate;
    }

    @ExcelField(title="可研静态态投资金额", align=2, sort=18)
    public String getStaticInvestment() {
        return staticInvestment;
    }

    public void setStaticInvestment(String staticInvestment) {
        this.staticInvestment = staticInvestment;
    }

    @ExcelField(title="可研动态投资金额", align=2, sort=19)
    public String getDynamicInvestment() {
        return dynamicInvestment;
    }

    public void setDynamicInvestment(String dynamicInvestment) {
        this.dynamicInvestment = dynamicInvestment;
    }

    public String getStudyAppendix() {
        return studyAppendix;
    }

    public void setStudyAppendix(String studyAppendix) {
        this.studyAppendix = studyAppendix;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    @ExcelField(title="建设规模（变电容量）万伏安", align=2, sort=20)
    public String getConstructionScaleVA() {
        return constructionScaleVA;
    }

    public void setConstructionScaleVA(String constructionScaleVA) {
        this.constructionScaleVA = constructionScaleVA;
    }

    @ExcelField(title="建设规模（线路长度）千米", align=2, sort=21)
    public String getConstructionScaleKM() {
        return constructionScaleKM;
    }

    public void setConstructionScaleKM(String constructionScaleKM) {
        this.constructionScaleKM = constructionScaleKM;
    }

    @ExcelField(title="铁塔数量/钢管杆数量", align=2, sort=22)
    public String getNumberOf() {
        return numberOf;
    }

    public void setNumberOf(String numberOf) {
        this.numberOf = numberOf;
    }

    @ExcelField(title="导线型号及双回否型号", align=2, sort=23)
    public String getConductorType() {
        return conductorType;
    }

    public void setConductorType(String conductorType) {
        this.conductorType = conductorType;
    }

    @ExcelField(title="导线型号及双回否长度", align=2, sort=24)
    public String getConductorLength() {
        return conductorLength;
    }

    public void setConductorLength(String conductorLength) {
        this.conductorLength = conductorLength;
    }

    @ExcelField(title="变压器来源新购/利旧，主变来源的变电站", align=2, sort=25)
    public String getTheSource() {
        return theSource;
    }

    public void setTheSource(String theSource) {
        this.theSource = theSource;
    }

    @ExcelField(title="模块化建设方案", align=2, sort=26)
    public String getModularConstructionScheme() {
        return modularConstructionScheme;
    }

    public void setModularConstructionScheme(String modularConstructionScheme) {
        this.modularConstructionScheme = modularConstructionScheme;
    }

    @ExcelField(title="工程难点描述", align=2, sort=27)
    public String getDescriptionOf() {
        return descriptionOf;
    }

    public void setDescriptionOf(String descriptionOf) {
        this.descriptionOf = descriptionOf;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="里程碑开工日期", align=2, sort=28)
    public Date getMilestoneStartDate() {
        return milestoneStartDate;
    }

    public void setMilestoneStartDate(Date milestoneStartDate) {
        this.milestoneStartDate = milestoneStartDate;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="里程碑投产日期", align=2, sort=29)
    public Date getMilestoneCommissioningDate() {
        return milestoneCommissioningDate;
    }

    public void setMilestoneCommissioningDate(Date milestoneCommissioningDate) {
        this.milestoneCommissioningDate = milestoneCommissioningDate;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="内控开工日期", align=2, sort=30)
    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="内控投产日期", align=2, sort=31)
    public Date getInternalControl() {
        return internalControl;
    }

    public void setInternalControl(Date internalControl) {
        this.internalControl = internalControl;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="主设备最早到货时间", align=2, sort=32)
    public Date getEarliestArrival() {
        return earliestArrival;
    }

    public void setEarliestArrival(Date earliestArrival) {
        this.earliestArrival = earliestArrival;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="线路塔材到货计划", align=2, sort=33)
    public Date getArrivalPlan() {
        return arrivalPlan;
    }

    public void setArrivalPlan(Date arrivalPlan) {
        this.arrivalPlan = arrivalPlan;
    }

    /****************************************工程前期阶段*****************************************************/

    @ExcelField(title="初设批复文号", align=2, sort=34)
    public String getPreDesignNo() {
        return preDesignNo;
    }

    public void setPreDesignNo(String preDesignNo) {
        this.preDesignNo = preDesignNo;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="初设批复日期", align=2, sort=35)
    public Date getInitialDesignDate() {
        return initialDesignDate;
    }

    public void setInitialDesignDate(Date initialDesignDate) {
        this.initialDesignDate = initialDesignDate;
    }

    public String getPreDesignAnnex() {
        return preDesignAnnex;
    }

    public void setPreDesignAnnex(String preDesignAnnex) {
        this.preDesignAnnex = preDesignAnnex;
    }

    @ExcelField(title="批概动态", align=2, sort=36)
    public String getBatchOverview() {
        return batchOverview;
    }

    public void setBatchOverview(String batchOverview) {
        this.batchOverview = batchOverview;
    }

    @ExcelField(title="批概静态", align=2, sort=37)
    public String getBatchStatistics() {
        return batchStatistics;
    }

    public void setBatchStatistics(String batchStatistics) {
        this.batchStatistics = batchStatistics;
    }

    @ExcelField(title="批概场地清理费/相应的WBS编码", align=2, sort=38)
    public String getEstimateCode() {
        return estimateCode;
    }

    public void setEstimateCode(String estimateCode) {
        this.estimateCode = estimateCode;
    }

    @ExcelField(title="设计费批概相应的/相应的WBS编码WBS编码", align=2, sort=39)
    public String getDesignCost() {
        return designCost;
    }

    public void setDesignCost(String designCost) {
        this.designCost = designCost;
    }

    @ExcelField(title="监理费批概/相应的WBS编码", align=2, sort=40)
    public String getSupervisionFeeCode() {
        return supervisionFeeCode;
    }

    public void setSupervisionFeeCode(String supervisionFeeCode) {
        this.supervisionFeeCode = supervisionFeeCode;
    }

    @ExcelField(title="批概法人管理费/相应的WBS编码", align=2, sort=41)
    public String getManagementFeeCode() {
        return managementFeeCode;
    }

    public void setManagementFeeCode(String managementFeeCode) {
        this.managementFeeCode = managementFeeCode;
    }

    @ExcelField(title="其他概算中需要的数据/相应的WBS编码", align=2, sort=42)
    public String getDataCode() {
        return dataCode;
    }

    public void setDataCode(String dataCode) {
        this.dataCode = dataCode;
    }

    public String getLetterDesign() {
        return letterDesign;
    }

    public void setLetterDesign(String letterDesign) {
        this.letterDesign = letterDesign;
    }

    public String getDisigningContract() {
        return disigningContract;
    }

    public void setDisigningContract(String disigningContract) {
        this.disigningContract = disigningContract;
    }

    public String getOwnerDapartment() {
        return ownerDapartment;
    }

    public void setOwnerDapartment(String ownerDapartment) {
        this.ownerDapartment = ownerDapartment;
    }

    @ExcelField(title="三个项目部关键人员信息", align=2, sort=43)
    public String getThreeDepartment() {
        return threeDepartment;
    }

    public void setThreeDepartment(String threeDepartment) {
        this.threeDepartment = threeDepartment;
    }

    public String getInspectionControl() {
        return inspectionControl;
    }

    public void setInspectionControl(String inspectionControl) {
        this.inspectionControl = inspectionControl;
    }

    public String getLetterAcceptance() {
        return letterAcceptance;
    }

    public void setLetterAcceptance(String letterAcceptance) {
        this.letterAcceptance = letterAcceptance;
    }

    public String getConContract() {
        return conContract;
    }

    public void setConContract(String conContract) {
        this.conContract = conContract;
    }

    public String getOtherContracts() {
        return otherContracts;
    }

    public void setOtherContracts(String otherContracts) {
        this.otherContracts = otherContracts;
    }

    @ExcelField(title="用地预审意见（变电站） 文号", align=2, sort=44)
    public String getLandNo() {
        return landNo;
    }

    public void setLandNo(String landNo) {
        this.landNo = landNo;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="用地预审意见（变电站） 日期", align=2, sort=45)
    public Date getLandDate() {
        return landDate;
    }

    public void setLandDate(Date landDate) {
        this.landDate = landDate;
    }

    public String getLandAnnex() {
        return landAnnex;
    }

    public void setLandAnnex(String landAnnex) {
        this.landAnnex = landAnnex;
    }

    @ExcelField(title="环评批复（变电站、线路） 文号", align=2, sort=46)
    public String getEiaNo() {
        return eiaNo;
    }

    public void setEiaNo(String eiaNo) {
        this.eiaNo = eiaNo;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="环评批复（变电站、线路） 日期", align=2, sort=47)
    public Date getEiaDate() {
        return eiaDate;
    }

    public void setEiaDate(Date eiaDate) {
        this.eiaDate = eiaDate;
    }

    public String getEiaAnnex() {
        return eiaAnnex;
    }

    public void setEiaAnnex(String eiaAnnex) {
        this.eiaAnnex = eiaAnnex;
    }

    @ExcelField(title="环评验收文号及日期 文号", align=2, sort=48)
    public String getAcceptanceNo() {
        return acceptanceNo;
    }

    public void setAcceptanceNo(String acceptanceNo) {
        this.acceptanceNo = acceptanceNo;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="环评验收文号及日期 日期", align=2, sort=49)
    public Date getAcceptanceDate() {
        return acceptanceDate;
    }

    public void setAcceptanceDate(Date acceptanceDate) {
        this.acceptanceDate = acceptanceDate;
    }

    public String getAcceptanceAnnex() {
        return acceptanceAnnex;
    }

    public void setAcceptanceAnnex(String acceptanceAnnex) {
        this.acceptanceAnnex = acceptanceAnnex;
    }

    @ExcelField(title="水保批复（变电站、线路） 文号", align=2, sort=50)
    public String getReplyNo() {
        return replyNo;
    }

    public void setReplyNo(String replyNo) {
        this.replyNo = replyNo;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="水保批复（变电站、线路） 日期", align=2, sort=51)
    public Date getReplyDate() {
        return replyDate;
    }

    public void setReplyDate(Date replyDate) {
        this.replyDate = replyDate;
    }

    public String getReplyAnnex() {
        return replyAnnex;
    }

    public void setReplyAnnex(String replyAnnex) {
        this.replyAnnex = replyAnnex;
    }

    @ExcelField(title="水保验收文号及日期 文号", align=2, sort=52)
    public String getSoilNo() {
        return soilNo;
    }

    public void setSoilNo(String soilNo) {
        this.soilNo = soilNo;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="水保验收文号及日期 日期", align=2, sort=53)
    public Date getSoilDate() {
        return soilDate;
    }

    public void setSoilDate(Date soilDate) {
        this.soilDate = soilDate;
    }

    public String getSoilannex() {
        return soilannex;
    }

    public void setSoilannex(String soilannex) {
        this.soilannex = soilannex;
    }

    @ExcelField(title="压覆矿藏复函（变电站） 文号", align=2, sort=54)
    public String getDepositNo() {
        return depositNo;
    }

    public void setDepositNo(String depositNo) {
        this.depositNo = depositNo;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="压覆矿藏复函（变电站） 日期", align=2, sort=55)
    public Date getDepositDate() {
        return depositDate;
    }

    public void setDepositDate(Date depositDate) {
        this.depositDate = depositDate;
    }

    public String getDepositAnnex() {
        return depositAnnex;
    }

    public void setDepositAnnex(String depositAnnex) {
        this.depositAnnex = depositAnnex;
    }

    @ExcelField(title="地灾评估备案表（变电站） 文号", align=2, sort=56)
    public String getRecordNo() {
        return recordNo;
    }

    public void setRecordNo(String recordNo) {
        this.recordNo = recordNo;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="地灾评估备案表（变电站） 日期", align=2, sort=57)
    public Date getRecordDate() {
        return recordDate;
    }

    public void setRecordDate(Date recordDate) {
        this.recordDate = recordDate;
    }

    public String getRecordAnnex() {
        return recordAnnex;
    }

    public void setRecordAnnex(String recordAnnex) {
        this.recordAnnex = recordAnnex;
    }

    public String getSiteProposalNo() {
        return siteProposalNo;
    }

    @ExcelField(title="选址意见书（变电站） 文号", align=2, sort=58)
    public void setSiteProposalNo(String siteProposalNo) {
        this.siteProposalNo = siteProposalNo;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="选址意见书（变电站） 日期", align=2, sort=59)
    public Date getSiteProposalDate() {
        return siteProposalDate;
    }

    public void setSiteProposalDate(Date siteProposalDate) {
        this.siteProposalDate = siteProposalDate;
    }

    public String getSiteProposalAnnex() {
        return siteProposalAnnex;
    }

    public void setSiteProposalAnnex(String siteProposalAnnex) {
        this.siteProposalAnnex = siteProposalAnnex;
    }

    @ExcelField(title="线路路径规划意见 文号", align=2, sort=60)
    public String getPlanningNo() {
        return planningNo;
    }

    public void setPlanningNo(String planningNo) {
        this.planningNo = planningNo;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="线路路径规划意见 日期", align=2, sort=61)
    public Date getPlanningDate() {
        return planningDate;
    }

    public void setPlanningDate(Date planningDate) {
        this.planningDate = planningDate;
    }

    public String getPlanningAnnex() {
        return planningAnnex;
    }

    public void setPlanningAnnex(String planningAnnex) {
        this.planningAnnex = planningAnnex;
    }

    @ExcelField(title="用地规划许可证 文号", align=2, sort=62)
    public String getUsePlanNo() {
        return usePlanNo;
    }

    public void setUsePlanNo(String usePlanNo) {
        this.usePlanNo = usePlanNo;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="用地规划许可证 日期", align=2, sort=63)
    public Date getUsePlanDate() {
        return usePlanDate;
    }

    public void setUsePlanDate(Date usePlanDate) {
        this.usePlanDate = usePlanDate;
    }

    public String getUsePlanAnnex() {
        return usePlanAnnex;
    }

    public void setUsePlanAnnex(String usePlanAnnex) {
        this.usePlanAnnex = usePlanAnnex;
    }

    @ExcelField(title="征地补偿批复 文号", align=2, sort=64)
    public String getRequisitonNo() {
        return requisitonNo;
    }

    public void setRequisitonNo(String requisitonNo) {
        this.requisitonNo = requisitonNo;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="征地补偿批复 日期", align=2, sort=65)
    public Date getRequisitonDate() {
        return requisitonDate;
    }

    public void setRequisitonDate(Date requisitonDate) {
        this.requisitonDate = requisitonDate;
    }

    public String getRequisitonAnnex() {
        return requisitonAnnex;
    }

    public void setRequisitonAnnex(String requisitonAnnex) {
        this.requisitonAnnex = requisitonAnnex;
    }

    @ExcelField(title="建设用地批准书 文号", align=2, sort=66)
    public String getConLandNo() {
        return conLandNo;
    }

    public void setConLandNo(String conLandNo) {
        this.conLandNo = conLandNo;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="建设用地批准书 日期", align=2, sort=67)
    public Date getConLandDate() {
        return conLandDate;
    }

    public void setConLandDate(Date conLandDate) {
        this.conLandDate = conLandDate;
    }

    public String getConLandAnnex() {
        return conLandAnnex;
    }

    public void setConLandAnnex(String conLandAnnex) {
        this.conLandAnnex = conLandAnnex;
    }

    @ExcelField(title="划拨决定书 文号", align=2, sort=68)
    public String getTransferNo() {
        return transferNo;
    }

    public void setTransferNo(String transferNo) {
        this.transferNo = transferNo;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="划拨决定书 日期", align=2, sort=69)
    public Date getTransferDate() {
        return transferDate;
    }

    public void setTransferDate(Date transferDate) {
        this.transferDate = transferDate;
    }

    public String getTransferAnnex() {
        return transferAnnex;
    }

    public void setTransferAnnex(String transferAnnex) {
        this.transferAnnex = transferAnnex;
    }

    @ExcelField(title="土地证（变电站） 文号", align=2, sort=70)
    public String getCertificateNo() {
        return certificateNo;
    }

    public void setCertificateNo(String certificateNo) {
        this.certificateNo = certificateNo;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="土地证（变电站） 日期", align=2, sort=71)
    public Date getCertificateDate() {
        return certificateDate;
    }

    public void setCertificateDate(Date certificateDate) {
        this.certificateDate = certificateDate;
    }

    public String getCertificateAnnex() {
        return certificateAnnex;
    }

    public void setCertificateAnnex(String certificateAnnex) {
        this.certificateAnnex = certificateAnnex;
    }

    @ExcelField(title="建设工程规划许可证（变电站） 文号", align=2, sort=72)
    public String getPermitNo() {
        return permitNo;
    }

    public void setPermitNo(String permitNo) {
        this.permitNo = permitNo;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="建设工程规划许可证（变电站） 日期", align=2, sort=73)
    public Date getPermitDate() {
        return permitDate;
    }

    public void setPermitDate(Date permitDate) {
        this.permitDate = permitDate;
    }

    public String getPermitAnnex() {
        return permitAnnex;
    }

    public void setPermitAnnex(String permitAnnex) {
        this.permitAnnex = permitAnnex;
    }

    @ExcelField(title="消防设计审查/备案意见（变电站） 文号", align=2, sort=74)
    public String getFireProNo() {
        return fireProNo;
    }

    public void setFireProNo(String fireProNo) {
        this.fireProNo = fireProNo;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="消防设计审查/备案意见（变电站） 日期", align=2, sort=75)
    public Date getFireProdate() {
        return fireProdate;
    }

    public void setFireProdate(Date fireProdate) {
        this.fireProdate = fireProdate;
    }

    public String getFireProAnnex() {
        return fireProAnnex;
    }

    public void setFireProAnnex(String fireProAnnex) {
        this.fireProAnnex = fireProAnnex;
    }

    @ExcelField(title="消防验收/备案意见（变电站） 文号", align=2, sort=76)
    public String getFireAccNo() {
        return fireAccNo;
    }

    public void setFireAccNo(String fireAccNo) {
        this.fireAccNo = fireAccNo;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="消防验收/备案意见（变电站） 日期", align=2, sort=77)
    public Date getFireAccDate() {
        return fireAccDate;
    }

    public void setFireAccDate(Date fireAccDate) {
        this.fireAccDate = fireAccDate;
    }

    public String getFireAccAnnex() {
        return fireAccAnnex;
    }

    public void setFireAccAnnex(String fireAccAnnex) {
        this.fireAccAnnex = fireAccAnnex;
    }

    @ExcelField(title="不动产权证 文号", align=2, sort=78)
    public String getEstateNo() {
        return estateNo;
    }

    public void setEstateNo(String estateNo) {
        this.estateNo = estateNo;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="不动产权证 日期", align=2, sort=79)
    public Date getEstateDate() {
        return estateDate;
    }

    public void setEstateDate(Date estateDate) {
        this.estateDate = estateDate;
    }

    public String getEstateAnnex() {
        return estateAnnex;
    }

    public void setEstateAnnex(String estateAnnex) {
        this.estateAnnex = estateAnnex;
    }

    @ExcelField(title="规划总平（变电站）", align=2, sort=80)
    public String getPlanningLevel() {
        return planningLevel;
    }

    public void setPlanningLevel(String planningLevel) {
        this.planningLevel = planningLevel;
    }

    @ExcelField(title="勘察定界报告（变电站）", align=2, sort=81)
    public String getSurveyReport() {
        return surveyReport;
    }

    public void setSurveyReport(String surveyReport) {
        this.surveyReport = surveyReport;
    }

    @ExcelField(title="征地红线图（变电站）", align=2, sort=82)
    public String getRedLineMap() {
        return redLineMap;
    }

    public void setRedLineMap(String redLineMap) {
        this.redLineMap = redLineMap;
    }

    @ExcelField(title="用地红线图（变电站）", align=2, sort=83)
    public String getRedLineLand() {
        return redLineLand;
    }

    public void setRedLineLand(String redLineLand) {
        this.redLineLand = redLineLand;
    }

    @ExcelField(title="宗地图", align=2, sort=84)
    public String getZongMap() {
        return zongMap;
    }

    public void setZongMap(String zongMap) {
        this.zongMap = zongMap;
    }

    @ExcelField(title="勘察合同备案表（变电站）", align=2, sort=85)
    public String getRecordSurvey() {
        return recordSurvey;
    }

    public void setRecordSurvey(String recordSurvey) {
        this.recordSurvey = recordSurvey;
    }

    @ExcelField(title="设计合同备案表（变电站）", align=2, sort=86)
    public String getRecordDesign() {
        return recordDesign;
    }

    public void setRecordDesign(String recordDesign) {
        this.recordDesign = recordDesign;
    }

    @ExcelField(title="施工合同备案表（变电站）", align=2, sort=87)
    public String getRecordContract() {
        return recordContract;
    }

    public void setRecordContract(String recordContract) {
        this.recordContract = recordContract;
    }

    @ExcelField(title="监理合同备案表（变电站）", align=2, sort=88)
    public String getSupervisionRecord() {
        return supervisionRecord;
    }

    public void setSupervisionRecord(String supervisionRecord) {
        this.supervisionRecord = supervisionRecord;
    }

    @ExcelField(title="岩土勘察报告审查合格意见（变电站）", align=2, sort=89)
    public String getQulifiedOpinions() {
        return qulifiedOpinions;
    }

    public void setQulifiedOpinions(String qulifiedOpinions) {
        this.qulifiedOpinions = qulifiedOpinions;
    }

    @ExcelField(title="施工图审查合格意见（变电站）", align=2, sort=90)
    public String getConstructionComments() {
        return constructionComments;
    }

    public void setConstructionComments(String constructionComments) {
        this.constructionComments = constructionComments;
    }

    @ExcelField(title="施工图审查合格证（变电站）", align=2, sort=91)
    public String getConstructionDrawing() {
        return constructionDrawing;
    }

    public void setConstructionDrawing(String constructionDrawing) {
        this.constructionDrawing = constructionDrawing;
    }

    @ExcelField(title="抗震设防审查证书（变电站）", align=2, sort=92)
    public String getSeismicReview() {
        return seismicReview;
    }

    public void setSeismicReview(String seismicReview) {
        this.seismicReview = seismicReview;
    }

    @ExcelField(title="规划放线报告（变电站）", align=2, sort=93)
    public String getPlanningSetting() {
        return planningSetting;
    }

    public void setPlanningSetting(String planningSetting) {
        this.planningSetting = planningSetting;
    }

    @ExcelField(title="安监申报书、备案表（变电站）", align=2, sort=94)
    public String getSafetyRecord() {
        return safetyRecord;
    }

    public void setSafetyRecord(String safetyRecord) {
        this.safetyRecord = safetyRecord;
    }

    @ExcelField(title="质监申报书、备案表（变电站）", align=2, sort=95)
    public String getQualityRecord() {
        return qualityRecord;
    }

    public void setQualityRecord(String qualityRecord) {
        this.qualityRecord = qualityRecord;
    }

    @ExcelField(title="施工许可证", align=2, sort=96)
    public String getConstructionPermit() {
        return constructionPermit;
    }

    public void setConstructionPermit(String constructionPermit) {
        this.constructionPermit = constructionPermit;
    }

    @ExcelField(title="规划竣工测绘现状图及管线、绿化、比较图（变电站）", align=2, sort=97)
    public String getPlanBuiltMapping() {
        return planBuiltMapping;
    }

    public void setPlanBuiltMapping(String planBuiltMapping) {
        this.planBuiltMapping = planBuiltMapping;
    }

    @ExcelField(title="质监竣工验收意见（变电站）", align=2, sort=98)
    public String getQualityAcceptance() {
        return qualityAcceptance;
    }

    public void setQualityAcceptance(String qualityAcceptance) {
        this.qualityAcceptance = qualityAcceptance;
    }

    @ExcelField(title="城建档案接收合格证明（变电站）", align=2, sort=99)
    public String getUrbanArchives() {
        return urbanArchives;
    }

    public void setUrbanArchives(String urbanArchives) {
        this.urbanArchives = urbanArchives;
    }

    @ExcelField(title="竣工备案表（变电站）", align=2, sort=100)
    public String getCompletionRecord() {
        return completionRecord;
    }

    public void setCompletionRecord(String completionRecord) {
        this.completionRecord = completionRecord;
    }

    @ExcelField(title="房产测绘报告", align=2, sort=101)
    public String getRealEstate() {
        return realEstate;
    }

    public void setRealEstate(String realEstate) {
        this.realEstate = realEstate;
    }

    @ExcelField(title="宗地复测报告", align=2, sort=102)
    public String getReportOnLang() {
        return reportOnLang;
    }

    public void setReportOnLang(String reportOnLang) {
        this.reportOnLang = reportOnLang;
    }

    /*********************************************工程建设阶段******************************************************************/
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="开工日期", align=2, sort=103)
    public Date getCommDate() {
        return commDate;
    }

    public void setCommDate(Date commDate) {
        this.commDate = commDate;
    }

    public String getCommReport() {
        return commReport;
    }

    public void setCommReport(String commReport) {
        this.commReport = commReport;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="竣工日期", align=2, sort=104)
    public Date getCompDate() {
        return compDate;
    }

    public void setCompDate(Date compDate) {
        this.compDate = compDate;
    }

    public String getCompLetion() {
        return compLetion;
    }

    public void setCompLetion(String compLetion) {
        this.compLetion = compLetion;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="投运日期", align=2, sort=105)
    public Date getCossDate() {
        return cossDate;
    }

    public void setCossDate(Date cossDate) {
        this.cossDate = cossDate;
    }

    public String getCossReport() {
        return cossReport;
    }

    public void setCossReport(String cossReport) {
        this.cossReport = cossReport;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="环评验收日期", align=2, sort=106)
    public Date getConAcceptanceDate() {
        return conAcceptanceDate;
    }

    public void setConAcceptanceDate(Date conAcceptanceDate) {
        this.conAcceptanceDate = conAcceptanceDate;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="水保验收日期", align=2, sort=107)
    public Date getSoilWaterDate() {
        return soilWaterDate;
    }

    public void setSoilWaterDate(Date soilWaterDate) {
        this.soilWaterDate = soilWaterDate;
    }

    public String getEnclosure() {
        return enclosure;
    }

    public void setEnclosure(String enclosure) {
        this.enclosure = enclosure;
    }

    public String getScheduleCivil() {
        return scheduleCivil;
    }

    public void setScheduleCivil(String scheduleCivil) {
        this.scheduleCivil = scheduleCivil;
    }

    public String getScheduleElectrical() {
        return scheduleElectrical;
    }

    public void setScheduleElectrical(String scheduleElectrical) {
        this.scheduleElectrical = scheduleElectrical;
    }

    public String getScheduleDebugging() {
        return scheduleDebugging;
    }

    public void setScheduleDebugging(String scheduleDebugging) {
        this.scheduleDebugging = scheduleDebugging;
    }

    public String getScheduleCheck() {
        return scheduleCheck;
    }

    public void setScheduleCheck(String scheduleCheck) {
        this.scheduleCheck = scheduleCheck;
    }

    public String getScheduleCumulative() {
        return scheduleCumulative;
    }

    public void setScheduleCumulative(String scheduleCumulative) {
        this.scheduleCumulative = scheduleCumulative;
    }

    public String getOpeningCommittee() {
        return openingCommittee;
    }

    public void setOpeningCommittee(String openingCommittee) {
        this.openingCommittee = openingCommittee;
    }

    @ExcelField(title="调度命名编号", align=2, sort=108)
    public String getDispatchingNaming() {
        return dispatchingNaming;
    }

    public void setDispatchingNaming(String dispatchingNaming) {
        this.dispatchingNaming = dispatchingNaming;
    }

    @ExcelField(title="安全质量量化考核成果", align=2, sort=109)
    public String getResultsSafety() {
        return resultsSafety;
    }

    public void setResultsSafety(String resultsSafety) {
        this.resultsSafety = resultsSafety;
    }

    public String getEngineeringHonors() {
        return engineeringHonors;
    }

    public void setEngineeringHonors(String engineeringHonors) {
        this.engineeringHonors = engineeringHonors;
    }

    public String getSettAuditReport() {
        return settAuditReport;
    }

    public void setSettAuditReport(String settAuditReport) {
        this.settAuditReport = settAuditReport;
    }

    public String getAccAuditReport() {
        return accAuditReport;
    }

    public void setAccAuditReport(String accAuditReport) {
        this.accAuditReport = accAuditReport;
    }

    @ExcelField(title="增资产生的卡片信息", align=2, sort=110)
    public String getCardInformation() {
        return cardInformation;
    }

    public void setCardInformation(String cardInformation) {
        this.cardInformation = cardInformation;
    }

    public String getStandardProduction() {
        return standardProduction;
    }

    public void setStandardProduction(String standardProduction) {
        this.standardProduction = standardProduction;
    }

    public String getFiveParty() {
        return fiveParty;
    }

    public void setFiveParty(String fiveParty) {
        this.fiveParty = fiveParty;
    }

    public String getNameOfSubcontractor() {
        return nameOfSubcontractor;
    }

    public void setNameOfSubcontractor(String nameOfSubcontractor) {
        this.nameOfSubcontractor = nameOfSubcontractor;
    }

    @ExcelField(title="项目地点", align=2, sort=111)
    public String getProjectLocation() {
        return projectLocation;
    }

    public void setProjectLocation(String projectLocation) {
        this.projectLocation = projectLocation;
    }

    @ExcelField(title="四级风险内容", align=2, sort=112)
    public String getLevelRiskContent() {
        return levelRiskContent;
    }

    public void setLevelRiskContent(String levelRiskContent) {
        this.levelRiskContent = levelRiskContent;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="四级风险实施时间", align=2, sort=113)
    public Date getLevelRiskTime() {
        return levelRiskTime;
    }

    public void setLevelRiskTime(Date levelRiskTime) {
        this.levelRiskTime = levelRiskTime;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="“标准化开工”时间", align=2, sort=114)
    public Date getStandStartTime() {
        return standStartTime;
    }

    public void setStandStartTime(Date standStartTime) {
        this.standStartTime = standStartTime;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="“标准化转序”时间", align=2, sort=115)
    public Date getStandTransferTime() {
        return standTransferTime;
    }

    public void setStandTransferTime(Date standTransferTime) {
        this.standTransferTime = standTransferTime;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="“标准化预验收”时间", align=2, sort=116)
    public Date getStandAcceptanceTime() {
        return standAcceptanceTime;
    }

    public void setStandAcceptanceTime(Date standAcceptanceTime) {
        this.standAcceptanceTime = standAcceptanceTime;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="约谈日期", align=2, sort=117)
    public Date getDateOfInterview() {
        return dateOfInterview;
    }

    public void setDateOfInterview(Date dateOfInterview) {
        this.dateOfInterview = dateOfInterview;
    }

    public String getMettingMinutes() {
        return mettingMinutes;
    }

    public void setMettingMinutes(String mettingMinutes) {
        this.mettingMinutes = mettingMinutes;
    }

    @ExcelField(title="累计扣款金额", align=2, sort=118)
    public String getAccumulatedAmount() {
        return accumulatedAmount;
    }

    public void setAccumulatedAmount(String accumulatedAmount) {
        this.accumulatedAmount = accumulatedAmount;
    }

    public String getDeductionForm() {
        return deductionForm;
    }

    public void setDeductionForm(String deductionForm) {
        this.deductionForm = deductionForm;
    }

    @ExcelField(title="工程遗留相关事项", align=2, sort=119)
    public String getMattersLeft() {
        return mattersLeft;
    }

    public void setMattersLeft(String mattersLeft) {
        this.mattersLeft = mattersLeft;
    }

    public String getReturnAndScrap() {
        return returnAndScrap;
    }

    public void setReturnAndScrap(String returnAndScrap) {
        this.returnAndScrap = returnAndScrap;
    }

    public String getImportantAccessories() {
        return importantAccessories;
    }

    public void setImportantAccessories(String importantAccessories) {
        this.importantAccessories = importantAccessories;
    }

    public List<Summary> getChildList() {
        return childList;
    }

    public void setChildList(List<Summary> childList) {
        this.childList = childList;
    }

}
